summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-25 03:52:53 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-08-11 00:09:27 +0100
commit8424a881180e9633495f2fbcf27e6bb28fa9d62d (patch)
tree422de97c5fda86794b67035b5aa5c00740ae3aa0 /tests/tests
parentbde94a50484e5c4e49b16e048117878853c889b4 (diff)
http[s] tests: Add http test case
Maybe we will turn this into a TLS test case in due course. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/ftpmasterapi-http19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/tests/ftpmasterapi-http b/tests/tests/ftpmasterapi-http
new file mode 100755
index 0000000..82d3c86
--- /dev/null
+++ b/tests/tests/ftpmasterapi-http
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive-none example
+
+t-dependencies libhttp-server-simple-static-perl
+
+$troot/ftpmasterapi-static-server >$tmp/must-clean/api.port $tmp/aq
+
+read <$tmp/must-clean/api.port api_port
+
+t-git-config --global dgit-distro.test-dummy.archive-query ftpmasterapi:
+t-git-config --global dgit-distro.test-dummy.archive-query-url \
+ http://127.0.0.1:$api_port/
+
+t-dgit archive-api-query suites
+
+t-ok